Subject: Re: bug#53890: 29.0.50; feature request: cursor color as a foreground color

From: Po Lu <[email-masked]>
Date: Fri, 18 Feb 2022 15:07:49 +0800

(Sorry for the late reply, this got caught up in a spam filter.)

Jose A Ortega Ruiz <[email-masked]> writes:

> related to this, and just thinking out loud: alpha-background is still
> applied to the :background attributes of all (?) other faces, which of
> course makes sense in general.  but i can imagine cases where having the
> option to avoid alpha-background in some other selected faces
> (e.g. hilite) would be useful (basically, for the same reason it's
> useful for the cursor face).  in other words, i think having a
> customizable list of faces whose background is preserved would be a
> useful feature.

I do eventually want to extend the existing color machinery to handle an
alpha channel, but that will have to wait.

Feel free to open a wishlist issue about this, thanks.